Package: jruby-openssl / 0.9.21-3

Metadata

Package Version Patches format
jruby-openssl 0.9.21-3 3.0 (quilt)

Patch series

view the series file
Patch File delta Description
01 build jruby openssl as a common java package.patch | (download)

pom.xml | 12 11 + 1 - 0 !
1 file changed, 11 insertions(+), 1 deletion(-)

 build package as a normal java library
 Support for gem artifacts is not available in Maven yet
 due to missing packages in the archive.
02 load debian bouncy castle libraries.patch | (download)

lib/jopenssl/load.rb | 8 4 + 4 - 0 !
lib/jopenssl/version.rb | 2 1 + 1 - 0 !
2 files changed, 5 insertions(+), 5 deletions(-)

 load bouncy castle libraries available in debian
03 use higher bytecode version.patch | (download)

pom.xml | 2 1 + 1 - 0 !
1 file changed, 1 insertion(+), 1 deletion(-)

 generate at least 1.7 version bytecode

[INFO] 
04 bouncycastle compatibility.patch | (download)

src/main/java/org/jruby/ext/openssl/impl/pem/MiscPEMGenerator.java | 4 2 + 2 - 0 !
src/main/java/org/jruby/ext/openssl/x509store/PEMInputOutput.java | 2 1 + 1 - 0 !
2 files changed, 3 insertions(+), 3 deletions(-)

 fixes the compatibility with the latest version of bouncycastle in debian